Alembic Version 1.1

Loading...
Searching...
No Matches
Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter Class Referenceabstract

`#include <ArchiveWriter.h>`

Inheritance diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter:
[legend]
Collaboration diagram for Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter:
[legend]

## Public Member Functions
virtual | ~ArchiveWriter ()
virtual const std::string & | getName () const =0
virtual const MetaData & | getMetaData () const =0
virtual ObjectWriterPtr | getTop ()=0
int8_t | getCompressionHint () const
void | setCompressionHint (int8_t iCh)
virtual ArchiveWriterPtr | asArchivePtr ()=0
virtual uint32_t | addTimeSampling (const TimeSampling &iTs)=0
virtual TimeSamplingPtr | getTimeSampling (uint32_t iIndex)=0
virtual uint32_t | getNumTimeSamplings ()=0
virtual index_t | getMaxNumSamplesForTimeSamplingIndex (uint32_t iIndex)=0
virtual void | setMaxNumSamplesForTimeSamplingIndex (uint32_t iIndex, index_t iMaxIndex)=0

## Protected Member Functions
| ArchiveWriter ()

## Detailed Description

The Archive is "the file". It has a single object, it's top object. It has no properties, but does have metadata.

Definition at line 69 of file ArchiveWriter.h.

## Constructor & Destructor Documentation

## ◆ ArchiveWriter()

Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter::ArchiveWriter | ( |  | ) |
| inline protected

Definition at line 73 of file ArchiveWriter.h.

## ◆ ~ArchiveWriter()

virtual Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter::~ArchiveWriter | ( |  | ) |
| virtual

Virtual destructor ...

## Member Function Documentation

## ◆ addTimeSampling()

virtual uint32_t Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter::addTimeSampling | ( | const TimeSampling & | iTs | ) |
| pure virtual

Adds the TimeSampling to the Archive TimeSampling pool. If the TimeSampling already exists in the pool, the index for the match should be returned. index 0 is automatically reserved for uniform time sampling with a start time of 0 and time per cycle of 1 (aka identity sampling)

## ◆ asArchivePtr()

virtual ArchiveWriterPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter::asArchivePtr | ( |  | ) |
| pure virtual

Return self May sometimes be spoofed.

## ◆ getCompressionHint()

int8_t Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter::getCompressionHint | ( |  | ) | const
| inline

Get the compression applied to array properties. Implementations are free to disregard this.

Definition at line 100 of file ArchiveWriter.h.

## ◆ getMaxNumSamplesForTimeSamplingIndex()

virtual index_t Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter::getMaxNumSamplesForTimeSamplingIndex | ( | uint32_t | iIndex | ) |
| pure virtual

Returns the maximum number of samples written for the TimeSampling at the given index. If an illegal iIndex is specified, INDEX_UNKNOWN will be returned.

## ◆ getMetaData()

virtual const MetaData & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter::getMetaData | ( |  | ) | const
| pure virtual

The meta data of the archive is the same as the meta data of the top-level object writer.

## ◆ getName()

virtual const std::string & Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter::getName | ( |  | ) | const
| pure virtual

Return the archive (file) name. This is the name of the file which the archive writer is associated with.

## ◆ getNumTimeSamplings()

virtual uint32_t Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter::getNumTimeSamplings | ( |  | ) |
| pure virtual

Returns the total number of TimeSamplingPtrs in the Archive TimeSampling pool.

## ◆ getTimeSampling()

virtual TimeSamplingPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter::getTimeSampling | ( | uint32_t | iIndex | ) |
| pure virtual

Returns the TimeSampling at a given index. index 0 is automatically reserved for uniform time sampling with a start time of 0 and time per cycle of 1 (aka identity sampling)

## ◆ getTop()

virtual ObjectWriterPtr Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter::getTop | ( |  | ) |
| pure virtual

Get the top object writer. Archives always have this single top-level object created automatically.

## ◆ setCompressionHint()

void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter::setCompressionHint | ( | int8_t | iCh | ) |
| inline

Set the compression applied to array properties. Implementations are free to disregard this. -1 means off, 0 means "litte", where 9 means "alot"

Definition at line 105 of file ArchiveWriter.h.

## ◆ setMaxNumSamplesForTimeSamplingIndex()

virtual void Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArchiveWriter::setMaxNumSamplesForTimeSamplingIndex | ( | uint32_t | iIndex,
|  | index_t | iMaxIndex )
| pure virtual

Sets the maximum number of samples written for the TimeSampling at the given index. You normally don't need to call this as the properties will call it at the appropriate time.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcCoreAbstract/ArchiveWriter.h